/*
   DEMO90.c  for 7188R
   Demonstration for use Timer
   function used:TimerOpen,TimerClose,TimerReadValue,TimerResetValue.
   Max TimerValue=0xFFFFFFFF=4294967295(ms)-->4294967.295(S)-->49.7(days)
*/

#include<stdio.h>
#include<math.h>
#include"..\lib\i7188.h"

void main(void)
{ unsigned long time,sec;
  unsigned sec1;
  int quit=0;

  Print("cos(0)=%f sin(45)=%f",cos(0),sin(3.14159/4.0));
  Print("\n\rPress any key to start timer");
  Print("\n\rthen Press '0' to Reset timer,'q' to quit\n\r");
  Getch();
  TimerOpen();
  while(!quit){
     if(Kbhit()){
	switch(Getch()){
	  case '0':
	       TimerResetValue();
	       break;
	  case 'q':
	       quit=1;
	       break;
	}
     }
     time=TimerReadValue();
/*
     sec=time/1000;
     sec1=time%1000;
     printCom3("\rTime=%05ld.%03d sec",sec,sec1);
*/
     Print("\rTime=%8.3f sec",0.001*time);
  }
  TimerClose();
}