/*
  DEMO97.C
   Demonstration for use Timer functions.
   use DelayMs for LED ON/OFF
*/
#include<stdio.h>
#include"..\lib\i7188.h"

void main(void)
{ int LedMode=0;
  unsigned long value;
  int quit=0;
  unsigned Ver;

  if(!Is7188()){
     Print("\n\rdemo97.exe must run on I-7188 with MiniOS7");
     return;
  }
  Ver=GetLibVersion();
  Print("\n\rLib version=%d.%02d",Ver>>8,Ver&0xff);
  Print("\n\rTest DelayMs() ...");
  Print("\n\rNow LED must flash once every second");
  Print("\n\rPress 'q' to quit\n\r");
  TimerOpen();
  LedOff();
  while(!quit){
     if(Kbhit()){
	switch(Getch()){
	  case 'q':
	       quit=1;
	       break;
	}
     }
     DelayMs(500);
     if(LedMode){
	LedMode=0;
	LedOff();
     }
     else {
	LedMode=1;
	LedOn();
     }
  }
  TimerClose();
  LedOn();
}

