/*
1. Compiler: TC 2.0
2. Mode: Small
3. Project: Eeprom-r.prj
   	    Eeprom-r.c
	    i7188s.lib
4. Explain: Reading the data you writing to EEPROM.
5. Hordware: 7188 with Eeprom
It's compiled by Tony
-----------------------------------------------------------------
*/

#include<stdlib.h>
#include<stdio.h>
#include<conio.h>
#include<dos.h>
#include<string.h>
#include"..\lib\i7188.h"
/*--------------------------------------------------------------*/

main()
{ int i,j,addr=0,data;
  int type;
  int ver;
  type=Is7188();	/*detect the current operation system*/
   if(type)	/*if it's used in minios7*/
     {
     ver=GetLibVersion();
     Print("Hello 7188x! (Flash memory is %d K)\n\r",type);
     Print("Library version is %d.%02d",ver>>8,ver&0xff);
     }
   else		/*if it's used in dos*/
     {
     Print("Hello PC!, this program is not run under I-7188.");
     return;
     }
  while(addr<256)
    {
     DelayMs(10);
     Print("\n\r The value writing to 1 block address %d of EEPROM is %d",addr,ReadEEP(1,addr));
     addr++;
     if (addr%25==0){
     Print("\n\rPress any key to continue..."); Getch();
     }
     
     }
}