/*
  DEMO92.C
   Demonstration for use Timer functions.
   use StopWatch channel 0 for LED ON/OFF
   functions: TimerOpen,TimerClose,
	      StopWatchStart,StopWatchReadValue.
*/
#include<stdio.h>
#include"..\lib\i7188.h"

void main(void)
{ int LedMode=0;
  unsigned long value;
  int quit=0;
  unsigned Ver;

  if(!Is7188()){
     Print("\ndemo92.exe must run on I-7188 with MiniOS7");
     return;
  }
  Ver=GetLibVersion();
  Print("\n\rLib version=%d.%02d",Ver>>8,Ver&0xff);
  Print("\n\rTest StopWatch ...");
  Print("\n\rNow LED must flash once every second");
  Print("\n\rPress 'q' to quit\n\r");
  TimerOpen();
  LedOff();
  StopWatchStart(0);
  while(!quit){
     if(Kbhit()){
	switch(Getch()){
	  case 'q':
	       quit=1;
	       break;
	}
     }
     StopWatchReadValue(0,&value);
     if(value>=500){
	StopWatchStart(0);
	if(LedMode){
	   LedMode=0;
	   LedOff();
	}
	else {
	   LedMode=1;
	   LedOn();
	}
     }
  }
  TimerClose();
  LedOn();
}

